Subject: bug#49742: 28.0.50; previous-single-property-change sometimes wrong?

From: "T.V Raman" <[email-masked]>
Date: Mon, 26 Jul 2021 19:02:03 -0700

Eli Zaretskii <[email-masked]> writes:

It's not returning the position be 'H', it's returning a point 3
positions further back

>> From: "T.V Raman" <[email-masked]>
>> Cc: [email-masked]
>> Date: Mon, 26 Jul 2021 10:19:13 -0700
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> 
>> See below for the results you ask. It does not explain itself because
>> property 'face is nil at positions  30 and 29.
>
> Yes, it's nil.  So that is the last position before 'H' where the
> value of the 'face' property changes -- from transient-inactive-value
> to nil.  Which is why the function returns that position.
>
> If this still doesn't explain the results, please tell what is missing
> from the explanation.

-- 

Thanks,

--Raman(I Search, I Find, I Misplace, I Research)
♈ Id: kg:/m/0285kf1  🦮